from llm import *
from memory_Context import *

def llm_test_Python_copyByValue(
) -> str:
  c = memory_createContext()
  c.input = "abc"

  @llm_by_value
  def alterValue(c):
    c.input = "alteredValue"

  alterValue(c)

  if (
    c.input == "abc"
  ):
    return "OK: llm_Python_copyByValue"
  #}
  return "ERR: llm_Python_copyByValue"
#}
